Update a goal
curl --request PUT \
--url https://api.example.com/users/{user_guid}/goals/{goal_guid} \
--header 'Content-Type: application/json' \
--data '
{
"goal": {
"account_guid": "<string>",
"amount": 123,
"goal_type_name": "<string>",
"meta_type_name": "<string>",
"name": "<string>",
"completed_at": "<string>",
"has_been_spent": true,
"is_complete": true
}
}
'import requests
url = "https://api.example.com/users/{user_guid}/goals/{goal_guid}"
payload = { "goal": {
"account_guid": "<string>",
"amount": 123,
"goal_type_name": "<string>",
"meta_type_name": "<string>",
"name": "<string>",
"completed_at": "<string>",
"has_been_spent": True,
"is_complete": True
} }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
goal: {
account_guid: '<string>',
amount: 123,
goal_type_name: '<string>',
meta_type_name: '<string>',
name: '<string>',
completed_at: '<string>',
has_been_spent: true,
is_complete: true
}
})
};
fetch('https://api.example.com/users/{user_guid}/goals/{goal_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Goals
Update a goal
This endpoint updates a specific goal. This endpoint accepts the optional MX-Skip-Webhook header and skip_webhook parameter.
PUT
/
users
/
{user_guid}
/
goals
/
{goal_guid}
Update a goal
Path Parameters
string
required
The unique identifier for the user. Defined by MX.
string
required
The unique identifier for the goal. Defined by MX.
Request Body
object
Show goal
Show goal
string
Unique identifier of the account for the goal.
number
Amount of the goal.
string
The goal type. Can be
SAVE_AMOUNT or PAYOFF.string
The category of the goal (e.g.
VACATION, COLLEGE, HOUSE).string
The name of the goal visible to the user.
string
Date and time the goal was completed in ISO 8601 format.
boolean
Determines if the goal has been spent.
boolean
If the goal is complete, this field will be
true.⌘I

